Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.SplitFileResult Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | SplitFileResult ()
| Constructor. More...

## Static Public Attributes
| after_split_files_paths = _fsdk.SplitFileResult_after_split_files_paths
| An array of strings used to represent the paths of multiple PDF documents generated by splitting.
| before_splitting_file_name = _fsdk.SplitFileResult_before_splitting_file_name
| A string value used to represent the original PDF file name before splitting.
| e_SplitFileErrAccessDeny = _fsdk.SplitFileResult_e_SplitFileErrAccessDeny
| The state is failed due to file access being denied. More...
| e_SplitFileErrFileExist = _fsdk.SplitFileResult_e_SplitFileErrFileExist
| The state is failed due to file exist. More...
| e_SplitFileErrSizeTooSmall = _fsdk.SplitFileResult_e_SplitFileErrSizeTooSmall
| The state is failed due to file size being too small. More...
| e_SplitFileSuccess = _fsdk.SplitFileResult_e_SplitFileSuccess
| The state is split successfully.
| split_file_state = _fsdk.SplitFileResult_split_file_state
| An enumeration value used to represent the status of the PDF documents generated by splitting.

## Detailed Description

This class represents result information of the PDF document generated by splitting.

## Constructor & Destructor Documentation

## ◆ SplitFileResult()

def FoxitPDFSDKPython2.SplitFileResult.SplitFileResult | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | before_splitting_file_name | A string value used to represent the original PDF file name before splitting.
  [in] | after_split_files_paths | An array of strings used to represent the paths of multiple PDF documents generated by splitting.
  [in] | split_file_state | An enumeration value used to represent the status of the PDF documents generated by splitting.

## Member Data Documentation

## ◆ e_SplitFileErrAccessDeny

FoxitPDFSDKPython2.SplitFileResult.e_SplitFileErrAccessDeny = _fsdk.SplitFileResult_e_SplitFileErrAccessDeny
| static

The state is failed due to file access being denied.

@detail If the PDF document to be split is denied access, then this state will be returned in the file split result.

The state is failed due to file access being denied.

## ◆ e_SplitFileErrFileExist

FoxitPDFSDKPython2.SplitFileResult.e_SplitFileErrFileExist = _fsdk.SplitFileResult_e_SplitFileErrFileExist
| static

The state is failed due to file exist.

@detail If a PDF document generated by splitting already exists, and the value of is_overwrite in the object of SplitOutputSettingData is set to false, then this state will be returned in the file split result.

## ◆ e_SplitFileErrSizeTooSmall

FoxitPDFSDKPython2.SplitFileResult.e_SplitFileErrSizeTooSmall = _fsdk.SplitFileResult_e_SplitFileErrSizeTooSmall
| static

The state is failed due to file size being too small.

@detail If the file size of the PDF document to be split is smaller than the value of parameter max_file_size in function , then this state will be returned in the file split result.